"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recoTheme = void 0;
const utils_1 = require("@vuepress/utils");
const resolveContainer_1 = require("./resolveContainer");
const recoTheme = (themeConfig) => {
    const { style } = themeConfig;
    const stylePath = utils_1.path.resolve(process.cwd(), `node_modules/${style}`);
    const getStyleConfig = require(utils_1.path.resolve(`${stylePath}/lib/node/index.js`)).default;
    const styleConfig = getStyleConfig(themeConfig);
    styleConfig.plugins = [
        '@vuepress/plugin-git',
        '@vuepress/plugin-search',
        '@vuepress/plugin-palette',
        '@vuepress/plugin-prismjs',
        ['@vuepress/active-header-links', {
                headerLinkSelector: 'a.page-header-item',
            }],
        ['@vuepress/plugin-container', { type: 'tip', render: resolveContainer_1.resolveContainer }],
        ['@vuepress/plugin-container', { type: 'info', render: resolveContainer_1.resolveContainer }],
        ['@vuepress/plugin-container', { type: 'warning', render: resolveContainer_1.resolveContainer }],
        ['@vuepress/plugin-container', { type: 'danger', render: resolveContainer_1.resolveContainer }],
        ['@vuepress/plugin-external-link-icon'],
        ...styleConfig.plugins,
    ];
    return {
        name: 'vuepress-theme-reco',
        layouts: utils_1.path.resolve(process.cwd(), `node_modules/${style}/lib/client/layouts`),
        ...styleConfig,
    };
};
exports.recoTheme = recoTheme;
